package com.google.android.material.internal;

import android.content.Context;
import android.view.SubMenu;
import ῲ.ῲ.ඓ.㳳.C1912;
import ῲ.ῲ.ඓ.㳳.C1922;

public class NavigationMenu extends C1912 {
    public NavigationMenu(Context context) {
        super(context);
    }

    @Override // android.view.Menu, ῲ.ῲ.ඓ.㳳.C1912
    public SubMenu addSubMenu(int i, int i2, int i3, CharSequence charSequence) {
        C1922 r1 = (C1922) addInternal(i, i2, i3, charSequence);
        NavigationSubMenu navigationSubMenu = new NavigationSubMenu(getContext(), this, r1);
        r1.f6533 = navigationSubMenu;
        navigationSubMenu.setHeaderTitle(r1.f6519);
        return navigationSubMenu;
    }
}
